body {
  background-image:url(https://cheepfish.neocities.org/photo1/photos4bg.jpg); 
  background-attachment: fixed;
  background-size: cover;
  margin: 0;
}

:root {
  --main-accent-color-light: #fff6eb;
  --main-accent-color-dark: #68a5eb;
  --main-text-color: #000000;
}

.all {
    display: flex;
    flex-direction: row;
}

li {
    list-style-type: none;
}

.mar {
    margin-left: 18%;
    margin-right: 3%;
    max-width: 100%;
    padding: 2%;
    background-image: url(https://cheepfish.neocities.org/photo1/photos2bg.jpg);
}

/***** NAV *****/

.nav-bar {
  width: 14%;
  height: 100%;
  position: fixed;
  background: linear-gradient(to bottom, #ff9f46, #e6f9ff9a);
}

.change, .change1 {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 0.4em;
}

.change1 {
  display: none;
}

.nav {
  padding: 0 1em 0.4em 1em;
  margin: 0;
  display: flex;
  justify-content: center;
}

.nav, h3 {
  list-style-type: none;
}

h3 {
    font-family: "cubix";
    text-align: center;
    font-size: 3.2vw;
    margin: 0.5em 0 0.3em 0;
    color: transparent;
    background-image: linear-gradient(to bottom, #b5d8ff, #fff6c2);
    background-clip: text;
    filter: drop-shadow(4px 3px 1px #ff7f35)
}

a {
    font-family: DejaVu Sans Mono, monospace;
    font-size: 0.8vw;
    text-decoration: none;
}

.desc {
    margin: 0 1.3em 0 1.3em;
    text-align: center;
    font-family: Courier New, monospace;
    font-size: 0.7vw;
}

.nav li {
  display: inline;
  line-height: 3em;
}

.link-highlight {
  background-color: var(--main-accent-color-light);
  padding: 0.5em;
  border-radius: 1em;
  white-space: nowrap;
}

.link-highlight:hover {
  background-color: var(--main-accent-color-dark) !important;
  color: var(--main-background-color) !important;
}

.link-highlight:hover a {
  color: var(--main-background-color);
}

/***** GALLERY *****/

.gallery-row {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap; 
  gap: 3vw;
}

.gallery-col, .gallery-col2 {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 3vw;    
}

.gallery-col img {
  margin-bottom: 0.2em;
  width: 14vw;
  height: 14vw;
  border: 1em solid rgb(255, 255, 255);
  border-bottom: 4em solid rgb(255, 255, 255);
  overflow: hidden;
  object-fit: cover;
}

.gallery-col2 img {
  margin-bottom: 0.2em;
  width: 28vw;
  height: 16vw;
  overflow: hidden;
  object-fit: cover;
  border: 1em solid rgb(255, 255, 255);
}

.gallery-col img:hover, .gallery-col2 img:hover {
  box-shadow: 0px 0px 7px 2px rgb(121, 79, 20);
}

@media screen and (max-width: 1024px) {
  .gallery-col {
    flex: 0 0 50%;
  }

  .gallery-col img {
    width: 25vw;
    height: 25vw;
  }

  a {
    font-size: 1vw;
  }
}

@media screen and (max-width: 600px) {
  .all {
    flex-direction: column;
  }

  .mar {
    margin: 0;
    padding-top: 1em;
  }

  .gallery-col, .gallery-col2 {
    flex-direction: column;
  }

  .gallery-col img {
    width: 65vw;
    height: 65vw;
  }

  .gallery-col2 img {
    width: 68vw;
    height: 39vw;
  }

  .nav-bar {
    position: static;
    width:auto;
  }

  .change {
    display: none;
  }

  .change1 {
    flex-direction: row;
    gap: 3vw;
    display: flex;
  }

  .link-highlight {
    border-radius: 5em;
    background-color: var(--main-accent-color-dark);
  }

  a {
    font-size: 11px;
    color: #fff6eb;
  }

  .desc {
    display: none;
  }

  h3 {
    font-size: 14vw;
  }

}